%define _disable_ld_no_undefined 1

%define api 0.11
%define major 0
%define libname %mklibname orcus %{api} %{major}
%define libmso %mklibname orcus-mso %{api} %{major}
%define libparser %mklibname orcus-parser %{api} %{major}
%define libspreadsheet %mklibname orcus-spreadsheet-model %{api} %{major}
%define devname %mklibname orcus -d

Summary:	Standalone file import filter library for spreadsheet documents
Name:		liborcus
Version:	0.11.2
Release:	3
License:	MIT
Group:		Office
Url:		http://gitorious.org/orcus
Source0:	http://kohei.us/files/orcus/src/%{name}-%{version}.tar.xz
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(mdds-1.2)
BuildRequires:	pkgconfig(zlib)

%description
%{name} is a standalone file import filter library for spreadsheet
documents. Currently under development are ODS, XLSX and CSV import
filters.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Standalone file import filter library for spreadsheet documents
Group:		System/Libraries

%description -n %{libname}
%{name} is a standalone file import filter library for spreadsheet
documents. Currently under development are ODS, XLSX and CSV import
filters.

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libmso}
Summary:	Standalone file import filter library for spreadsheet documents
Group:		System/Libraries

%description -n %{libmso}
This package contains a shared library library for %{name}.

%files -n %{libmso}
%{_libdir}/%{name}-mso-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libparser}
Summary:	Standalone file import filter library for spreadsheet documents
Group:		System/Libraries

%description -n %{libparser}
This package contains a shared library library for %{name}.

%files -n %{libparser}
%{_libdir}/%{name}-parser-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libmso} = %{EVRD}
Requires:	%{libparser} = %{EVRD}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%{_includedir}/%{name}-%{api}
%{_libdir}/%{name}*-%{api}.so
%{_libdir}/pkgconfig/%{name}*-%{api}.pc

#----------------------------------------------------------------------------

%package tools
Summary:	Tools for working with Orcus
Group:		Office
Requires:	%{libname} = %{EVRD}

%description tools
Tools for working with Orcus.

%files tools
%doc AUTHORS
%{_bindir}/orcus-*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-python \
	--disable-static \
	--disable-werror \
	--with-pic \
	--disable-spreadsheet-model

sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
libtool

%make

%install
%makeinstall_std


%changelog

* Tue Mar 21 2017 alzim <alzim@bk.ru> 0.11.2-3
- (bfff95d) Merge pull request #2 from alzim/liborcus:rosa2014.1
- (bfff95d) New version 0.11.2 Now requires mdds-1.2 to build


